#ifndef __DCRPG_CAMERA_H
#define __DCRPG_CAMERA_H

#include "dcrpgsprite.h"

namespace dcrpg	{
	class DCRPGCamera {
		private:
			int xpos;
			int ypos;
			DCRPGSprite *player;

		public:
			DCRPGCamera(int x, int y, DCRPGSprite *p);
			~DCRPGCamera();
			void setPos(int x, int y);
			void setXPos(int x);
			void setYPos(int y);
			void setPlayer(DCRPGSprite *p);
			int getXPos();
			int getYPos();

			void update();
	};
}

#endif
